# Class HttpServiceFactory

java.lang.Object
org.eclipse.equinox.http.servlet.internal.HttpServiceFactory

All Implemented Interfaces:
  `ServiceFactory<HttpService>`

public class HttpServiceFactory extends Object implements ServiceFactory<HttpService>

## Constructor Summary

Constructors
Constructor
Description
`HttpServiceFactory(HttpServiceRuntimeImpl httpServiceRuntime)`

## Method Summary

Modifier and Type
Method
Description
`HttpService`
`getService(Bundle bundle, ServiceRegistration<HttpService> serviceRegistration)`
`void`
`ungetService(Bundle bundle, ServiceRegistration<HttpService> serviceRegistration, HttpService httpService)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpServiceFactory

public HttpServiceFactory(HttpServiceRuntimeImpl httpServiceRuntime)

## Method Details

### getService

public HttpService getService(Bundle bundle, ServiceRegistration<HttpService> serviceRegistration)

Specified by:
  `getService` in interface `ServiceFactory<HttpService>`

### ungetService

public void ungetService(Bundle bundle, ServiceRegistration<HttpService> serviceRegistration, HttpService httpService)

Specified by:
  `ungetService` in interface `ServiceFactory<HttpService>`